# studio::Splash Class Reference

`#include <splash.h>`

List of all members.

## Public Member Functions

synfig::ProgressCallback * | get_callback ()
void | enable_startup_notification ()
| Splash ()
| ~Splash ()

## Friends

class | SplashProgress

## Constructor & Destructor Documentation

Splash::Splash | ( |  | ) |

References enable_startup_notification(), studio::App::get_base_path(), IMAGE_DIR, IMAGE_EXT, SplashProgress, and VERSION.

Splash::~Splash | ( |  | ) |

## Member Function Documentation

synfig::ProgressCallback * Splash::get_callback | ( |  | ) |

Referenced by studio::App::App().

void Splash::enable_startup_notification | ( |  | ) |

Referenced by Splash().

## Friends And Related Function Documentation

friend class SplashProgress`[friend]`

Referenced by Splash().

The documentation for this class was generated from the following files:

- splash.h
- splash.cpp